array_column
array_count_values
Fonctions sur les tableaux
PHP Manual

# array_combine

(PHP 5)

array_combine — Crée un tableau à partir de deux autres tableaux

### Description

array array_combine ( array `$keys` , array `$values` )

Crée un tableau, dont les clés sont les valeurs de `keys`, et les valeurs sont les valeurs de `values`.

### Liste de paramètres

`keys`

  Tableau de clés à utiliser. Les valeurs illégales pour les clés seront converties en chaîne de caractères.

`values`

  Tableau de valeurs à utiliser

### Valeurs de retour

Retourne le tableau combiné ou `FALSE` si le nombre d'éléments de chaque tableau n'est pas identique.

### Erreurs / Exceptions

Lance une alerte de niveau `E_WARNING` si le nombre d'éléments de `keys` et de `values` ne correspondent pas.

### Historique

Version | Description
--- | ---
5.4.0 | Les précédentes versions lancées une alerte de niveau `E_WARNING` et retournées `FALSE` pour des tableaux vides.

### Exemples

Exemple #1 Exemple avec array_combine()

`<?php
$a = array('green', 'red', 'yellow');
$b = array('avocado', 'apple', 'banana');
$c = array_combine($a, $b);
print_r($c);
?>`

L'exemple ci-dessus va afficher :

    Array
    (
        [green]  => avocado
        [red]    => apple
        [yellow] => banana
    )

### Voir aussi

- array_merge() - Fusionne plusieurs tableaux en un seul
- array_walk() - Exécute une fonction sur chacun des éléments d'un tableau
- array_values() - Retourne toutes les valeurs d'un tableau

array_column
array_count_values
Fonctions sur les tableaux
PHP Manual